This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 530255 - (CVE-2009-3625) CVE-2009-3625 Sahana: Arbitrary files access due improper processing of URLs with null character in the string
CVE-2009-3625 Sahana: Arbitrary files access due improper processing of URLs ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://sourceforge.net/mailarchive/fo...
impact=important,source=bugzilla,publ...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 21:57 EDT by David Nalley
Modified: 2012-07-17 12:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 12:02:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-10-21 21:57:52 EDT
Security issue noted here: 
--------------------------
http://sourceforge.net/mailarchive/forum.php?thread_name=5d9043b70910191044l4bb0178fs563a5128a0f5db01%40mail.gmail.com&forum_name=sahana-maindev

Upstream patch:
---------------
http://sahana.cvs.sourceforge.net/viewvc/sahana/sahana-phase2/www/index.php?r1=1.83&r2=1.84

PoC:
----
http://sahana/index.php?stream=text&mod=/../../../../../../../../../../../etc/passwd%00

Further issue analysis by David Nalley:
---------------------------------------
The first issue would allow an attacker to touch/modify any file on the system.
Essentially the issue is that get, post, and requests aren't sanitized or unescaped. 

Patches are outlined in the thread, and I am about to push updates to the package - documenting here.
Comment 1 David Nalley 2009-10-21 23:00:52 EDT
pushed updates, requested push to stable in bodhi for F10,F11,and EL-5

Filed ticket 2635 with Rel-Eng for tag into F12
https://fedorahosted.org/rel-eng/ticket/2635#preview
Comment 3 Jan Lieskovsky 2009-10-23 03:40:46 EDT
This is CVE-2009-3625.
Comment 4 Fedora Update System 2009-10-23 19:21:01 EDT
sahana-0.6.2.2-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-10-27 02:27:26 EDT
sahana-0.6.2.2-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-10-27 03:04:12 EDT
sahana-0.6.2.2-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.